#!/usr/bin/python3

import sys
import pytest

from wobbl_tools.text.format import format_string
from wobbl_tools.text import format
sys.path.append("..")
from utils import is_right  # noqa


@pytest.mark.manual
def test_formatting():
    print("\n==== wobbl_tools.text.format =====")

    formats = list(format.color_ansi.keys())
    formats.remove("rs")
    formats.remove("reset")

    print("Is this shit looking right?\n")

    for format_name in formats:
        print(f"{format_name.title().replace('_', ' ')} text: {format_string(f'§{format_name}Text')}")

    assert is_right()
